Bugsnag
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Bugsnag action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Bugsnag notification",
"type": "BUGSNAG",
"trigger_time": "ON_EVERY_EXECUTION",
"version": "$BUDDY_RUN_ID",
"release_stage": "$BUDDY_RUN_BRANCH",
"token": "$apiKey",
"revision": "$BUDDY_RUN_COMMIT",
"variables": [
{
"key": "apiKey",
"value": "secure!rjMzYPhyffqEI8nmd4JPLuv51uhqpzJ4ykx+ilKrTgh9t4+/tGAPhF05EvhpdMj2",
"encrypted": true
}
],
"builder_name": "$BUDDY_INVOKER_NAME",
"auto_assign_release": true
}'STATUS200 OK